#ifndef MESSAGEITEMSETTINGSWIDGET_H
#define MESSAGEITEMSETTINGSWIDGET_H

#include <QWidget>
#include <memory>
#include "../../items/messageitem.h"

namespace Ui
{
class MessageItemSettingsWidget;
}

class MessageItemSettingsWidget : public QWidget
{
	Q_OBJECT
	std::weak_ptr<MessageItem> item_;

private slots:

	void setText(const QString& text);
	void setAlert(const QString &in);

public:
	explicit MessageItemSettingsWidget(std::weak_ptr<MessageItem> item, QWidget *parent = nullptr);
	~MessageItemSettingsWidget();

private:
	Ui::MessageItemSettingsWidget *ui;
};

#endif // MESSAGEITEMSETTINGSWIDGET_H
