#pragma once

#include "../microcontroller.h"
#include "item.h"

class RgbItem: public Item
{
	Q_OBJECT
private:
	Microcontroller* micro_;

public slots:

	virtual void setValue(uint8_t value);

public:
	RgbItem(Microcontroller* micro, uint32_t itemIdIn = QRandomGenerator::global()->generate(), QString name = "",
	        uint8_t value = 0, QObject* parent = nullptr);

	virtual void store(QJsonObject& json);
};
